Bug 14018 - Ordering from suggestion shows 'copy. year:2014'
Summary: Ordering from suggestion shows 'copy. year:2014'
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-20 05:46 UTC by Katrin Fischer
Modified: 2015-12-03 22:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Enter and display a full suggestion (57.10 KB, image/png)
2015-04-20 07:15 UTC, Marc Véron
Details
Display suggestion in "Add order from a suggestion" (22.86 KB, image/png)
2015-04-20 09:31 UTC, Marc Véron
Details
Bug 14018 - Ordering from suggestion shows 'copy. year:2014' (2.58 KB, patch)
2015-04-20 10:28 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14018 - Ordering from suggestion shows 'copy. year:2014' (2.64 KB, patch)
2015-04-28 15:30 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 14018 - Ordering from suggestion shows 'copy. year:2014' (2.71 KB, patch)
2015-04-28 20:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-04-20 05:46:50 UTC
To test:

- create a suggestion with the publication year
- accect suggestion
- create a new order from that suggestion
- in the list of suggestions to order, the display problem should be visible:
  copy. year:2014 

I'd rather avoid using the copyright symbol here as it has often caused problems in translations for us and probably others. Maybe just having the year would be ok?
Comment 1 Marc Véron 2015-04-20 07:15:17 UTC
Created attachment 38154 [details]
Enter and display a full suggestion

Screenshots with form for new suggestions, list display of suggestion and HTML.

The list display is handled in suggestion.tt line ca. 510 following.
Comment 2 Katrin Fischer 2015-04-20 07:24:47 UTC
Hi Marc, 

I think we are not looking in the same spot maybe? The display problem only occurs if you create an order from the suggestion afaikt - on the screen where you pick from the accepted orders.
Comment 3 Marc Véron 2015-04-20 09:31:52 UTC
Created attachment 38169 [details]
Display suggestion in "Add order from a suggestion"

See 'copy year:2015' near ISBN
Comment 4 Marc Véron 2015-04-20 10:08:54 UTC
- We have a copyright date and a publication year in the database, but it seems that only the copyright date is used. The copyright date then pupulates the field "Publication year" in the "New order" form.
- The forms for creating an new suggestion in staff client and OPAC display the copyright date only.
- Both the list views in newordersuggestion.tt and suggestion.tt are prepared to  display the copyright date and the publication year. 
- They display the same overall information in a slightly different way.
- I think the display should be streamlined (using an include?) to have a more consistent and translation friendly display.

For the moment I will replace the text 'copy. year.' with te copyright-sign (as it is in suggestion.tt) plus some similar minor changes ( 'in' instead of 'at' for publication place).

For the streamlining I propose to have a separat bug because this will need some more analyzing.
Comment 5 Marc Véron 2015-04-20 10:28:19 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2015-04-28 15:30:50 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2015-04-28 20:52:54 UTC
Created attachment 38615 [details] [review]
[PASSED QA] Bug 14018 - Ordering from suggestion shows 'copy. year:2014'

This patch fixes some minor display issues in 'Add order from a suggestion'

To test:
- Add order form a suggestion
- The copyright date iss dispayed like 'copy.year:2015'
- Apply patch
- The copyright date now displays as (copyright sign) 2014, similar to the display in suggestion management

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Tomás Cohen Arazi 2015-05-06 18:29:01 UTC
Patch pushed to master.

Thanks Marc!
Comment 9 Chris Cormack 2015-05-17 06:46:26 UTC
Pushed to 3.18.x will be in 3.18.7